
-- like useable_weapons(), except we don't count fired weapons or fighters that have sortied
function alive_weapons(w)
  local n,d=w:remaining()

  if w.needs_munitions
    if(w.object.munitions==0)
      return 0,d
    elseif(w.object.munitions<n)
      n=w.object.munitions
    end
  end

  if w.type=='capacitor'
    return 0,0
  end

  return max(0,n), d
end

-- like alive weapons, but we account for missing fightercraft
function alive_and_present(w)
  local alive = alive_weapons(w)
  if w.is_fighter
    return max(0, alive - w.missing)
  end
  return alive
end